Bug 1287821 - logic error, failure loading required base lib
logic error, failure loading required base lib
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: oorexx (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 13:43 EST by Joel C Ewing
Modified: 2016-12-20 11:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:35:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel C Ewing 2015-12-02 13:43:20 EST
Description of problem:
Installing  oorexx.x86_64 interpreter only forces install of oorexx-libs.x86_64. Attempting to execute any REXX program fails with error message
"Logic error: Failure loading required base library"

If oorexx-devel.x86_64 is manually selected and installed as well, the failure no longer occurs and oorexx programs appear to run correctly

Version-Release number of selected component (if applicable):
oorexx.x86_64                          4.2.0-1.fc23       
oorexx-libs.x86_64                     4.2.0-1.fc23 


How reproducible:
100%


Steps to Reproduce:
1. Install oorexx, which has dependency for and also installs oorexx-libs
2. Attempt to execute any REXX program, for example an executable file hello.rex containing the trivial program:

#!/usr/bin/rexx
Say "Hello world"
Exit

Actual results:
Logic error: Failure loading required base library

Expected results:
Hello world


Additional info:
This problem has been with Fedora repository versions of oorexx since at least f17.  Upgrading oorexx to 4.2.0 in f23 from 4.1.0 in prior releases fixed the SysFileTree problem [re-]reported in bug #1210890 for f21 (and f22) but still did not resolve the undocumented dependency on oorexx-devel that was also reported in bug #1210890.

Perhaps there is some inconsistency from Fedora conventions in the way the oorexx interpreter uses or references versions of libraries, or perhaps some files incorrectly imply they are only required for development work, or perhaps there is some confusion about the distinction of developing programs USING the REXX language versus development work on the oorexx interpreter itself; but whatever the issue the oorexx interpreter simply will not function for any REXX program unless one also has the libraries which the Fedora repository relegates to the separate oorexx-devel rpm (libhostemu.so, librexx.so, librexxapi.so, librexxutil.so, librxmath.so, librxregexp.so, librxsock.so, librxunixsys.so).

The problem can be circumvented by manually installing oorexx-devel.x86_64, but this is counter-intuitive since lack of a documented dependency implies it is optional.  One could resolve the issue by making oorexx have a dependency for both oorexx-libs and oorexx-devel, but that would seem to be inconsistent with the usage of "devel" rpms associated with compilers/interpreters for some other languages (e.g., python) where "devel" rpms are optional.  The simpler approach, used at www.oorexx.org, is to just distribute the oorexx interpreter as a single, unified rpm package.
Comment 1 Fedora End Of Life 2016-11-24 08:56:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:35:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.